OpenTTD Source: Data Fields - Enumerations

OpenTTD Source 15.3

Here is a list of all documented enums with links to the struct/union documentation for each field:

### - a -

- AlignmentH : IntroGameViewportCommand
- AlignmentV : IntroGameViewportCommand

### - b -

- ButtonPlanes : VehicleListWindow

### - c -

- CaptionPlanes : VehicleListWindow
- ChecksumResult : MD5File
- ClientStatus : ServerNetworkGameSocketHandler
- CompanyWindowPlanes : CompanyWindow
- ControlFlag : BridgeSpec

### - d -

- DisplayPane : OrdersWindow

### - e -

- Editability : IndustryViewWindow

### - f -

- Flag : AirportFTAClass, Livery

### - g -

- Grouping : StationViewWindow

### - i -

- InfoLine : IndustryViewWindow
- InfrastructureItemType : CompanyInfrastructureWindow
- Invalidation : StationViewWindow
- IterType : StringIterator

### - m -

- Mode : StationViewWindow, TarScanner
- MoveToAction : CargoList< Tinst, Tcont >
- MpsMidiStatus : MpsMachine

### - o -

- OrderPlaceObjectState : OrdersWindow

### - p -

- PaletteAnimation : Blitter
- PeriodFlags : TimerGameRealtime
- PickerClassWindowHotkeys : PickerWindow
- PickerFilterModes : PickerWindow
- PickerInvalidation : PickerWindow
- PlaneSelections : VehicleViewWindow
- Priority : TimerGame< T >, TimerGameTick

### - r -

- Reason : NetworkSurveyHandler
- Refittability : GRFTempEngineData
- ReflowState : TextfileWindow
- RefreshFlag : LinkRefresher
- RequestResult : NetworkAuthenticationClientHandler
- ResponseResult : NetworkAuthenticationServerHandler
- RoadStopStatusFlag : RoadStop

### - s -

- ScriptSettingSource : ScriptConfig
- ScrollbarStepping : Scrollbar
- SeparatorUsage : StringConsumer
- ServerStatus : ClientNetworkGameSocketHandler
- SorterType : IndustryDirectoryWindow
- SQSaveLoadType : ScriptInstance
- State : ContentInfo, GoodsEntry, SocialIntegrationPlugin
- Status : TCPConnecter

### - t -

- Texture : OpenGLSprite
- TileFlag : StationSpec
- Type : Driver

### - w -

- WagonOverride : VehicleResolverObject

### - z -

- ZoomLevelChange : SmallMapWindow